<?php
error_reporting(0);
include_once '../inc/FetchData.class.php';

// FetchData Object
$fetchDataObj = new FetchData();
$dataSet = (object) $fetchDataObj->getDataSet();

// Init variables values
$res = "";

// Update CommonSeetings
if ( isset($_POST['Save']) ) {
  include_once 'models/PostDynamicContents.class.php';
  $PostDynamicContentsObj = new PostDynamicContents();

  // Pass data to update into database
  $res = $PostDynamicContentsObj->updateData($_POST);

  // Update dataset with changes
  $dataSet = (object) array_merge( (array) $dataSet, $_POST);

}
?>
<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>خوش آمدید به پنل مدیریت</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <?php if ($dataSet->enable_maintenance) { ?>
  <!-- Maintenance Mode Enabled -->
  <meta name="robots" content="noindex, nofollow" />
  <?php } ?>

  <!-- Favicon -->
  <link rel="shortcut icon" href="../favicon.ico" type="image/x-icon">
  <link rel="icon" href="../favicon.ico" type="image/x-icon">

  <!-- Font Awesome -->
  <link rel="stylesheet" href="./plugins/fontawesome-free/css/all.min.css">
  <!-- Ionicons -->
  <link rel="stylesheet" href="./assets/css/ionicons/ionicons.min.css">
  <!-- SweetAlert2 -->
  <link rel="stylesheet" href="./plugins/sweetalert2-theme-bootstrap-4/bootstrap-4.min.css">
  <!-- daterange picker -->
  <link rel="stylesheet" href="./plugins/daterangepicker/daterangepicker.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="./assets/css/adminlte.min.css">
  <!-- Custom CSS -->
  <link rel="stylesheet" href="./assets/css/custom.css">
  <!-- Google Font: Source Sans Pro -->
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
</head>
<body class="hold-transition sidebar-mini">
<div class="wrapper">

  <!-- Navbar -->
  <?php require_once('header.php'); ?>
  <!-- /.navbar -->

  <!-- Main Sidebar Container -->
  <?php require_once('sidebar.php'); ?>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <input type="hidden" class="res" name="res" value="<?php echo $res; ?>">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>تنظیمات عمومی</h1>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <!-- left column -->
          <div class="col-md-6">
            <!-- form start -->
            <form role="form" method="POST" action="">
              <input type="hidden" name="section" value="countdown">
              <!-- general form elements -->
              <div class="card card-success">
                <div class="card-header">
                  <h3 class="card-title">شمارش معکوس</h3>
                </div>
                <!-- /.card-header -->

                <div class="card-body">
                  <div class="form-group">
                    <div class="custom-control custom-switch">
                      <input type="hidden" value="0" name="show_countdown">
                      <input type="checkbox" class="custom-control-input" id="show_countdown" name="show_countdown" value="1" <?php echo ($dataSet->show_countdown) ? "checked" : ''; ?>>
                      <label class="custom-control-label" for="show_countdown">شمارش معکوس نشان داده شود؟</label>
                    </div>
                  </div>

                  <div class="form-group dependency_sections <?php echo ($dataSet->show_countdown) ? "" : 'display-none'; ?>">
                    <label>تاریخ پایان شمارنده:</label>

                    <div class="input-group">
                      <div class="input-group-prepend">
                        <span class="input-group-text"><i class="far fa-clock"></i></span>
                      </div>
                      <input type="text"  class="form-control float-right"  name="CountdownDatetimeRange" value="<?php echo strip_tags($dataSet->CountdownDatetimeRange); ?>">
                    </div>
                    <small><i><i class="fas fa-info-circle"></i> فرمت تاریخ به صورت میلادی 2021/08/16 وارد شود برای تبدیل تاریخ شمسی به میلادی از این <a target="_blank" href="https://www.bahesab.ir/time/conversion/">لینک</a> استفاده کنید</i></small>
                    <!-- /.input group -->
                  </div>

                  <div class="form-group dependency_sections <?php echo ($dataSet->show_countdown) ? "" : 'display-none'; ?>">
                    <label class="col-form-label" for="expired_text">متن پس از پایان شمارش معکوس</label>
                    <input type="text" class="form-control" name="expired_text" id="expired_text" maxlength="250" value="<?php echo strip_tags($dataSet->expired_text); ?>">
                  </div>

                </div>
                <!-- /.card-body -->

                <div class="card-footer">
                  <button type="submit" name="Save" value="Countdown" class="btn btn-primary float-right">ذخیره تغییرات</button>
                </div>
              </div>
              <!-- /.card -->
            </form>

            <form role="form" method="POST" action="" enctype="multipart/form-data">
              <input type="hidden" name="section" value="homepage">
              <div class="card card-warning">
                <div class="card-header">
                  <h3 class="card-title">محتوای صفحه اصلی</h3>
                </div>

                <div class="card-body">
                  <div class="form-group">
                    <label class="col-form-label" for="home_subtitle">عنوان فرعی:</label>
                    <input type="text" class="form-control" name="home_subtitle" id="home_subtitle" placeholder="Enter Sub Title" value="<?php echo strip_tags($dataSet->home_subtitle); ?>">
                  </div>
                  <div class="form-group">
                    <label class="col-form-label" for="home_title">عنوان:</label>
                    <input type="text" class="form-control" name="home_title" id="home_title" placeholder="Enter Title" value="<?php echo strip_tags($dataSet->home_title); ?>">
                  </div>

                  <hr />

                  <div class="form-group">
                    <div class="custom-control custom-switch">
                      <input type="hidden" value="0" name="enable_text_logo">
                      <input type="checkbox" class="custom-control-input" id="enable_text_logo" name="enable_text_logo" value="1" <?php echo ($dataSet->enable_text_logo) ? "checked" : ''; ?>>
                      <label class="custom-control-label" for="enable_text_logo">لوگوی متن</label>
                    </div>
                    <input type="text" class="form-control" name="text_logo" id="text_logo" placeholder="Crad." value="<?php echo strip_tags($dataSet->text_logo); ?>">
                  </div>

                  <div class="form-group dependency_sections">
                    <div class="custom-control custom-switch">
                      <input type="hidden" value="0" name="show_logo_image">
                      <input type="checkbox" class="custom-control-input" id="show_logo_image" name="show_logo_image" value="1" <?php echo ($dataSet->show_logo_image) ? "checked" : ''; ?>>
                      <label class="custom-control-label" for="show_logo_image">تصویر لوگو</label>
                    </div>
                    <small class="text-danger dependency_img_sections <?php echo ($dataSet->show_logo_image) ? "" : 'display-none'; ?>"><i><i class="fas fa-info-circle"></i> اندازه تصاویر: <b>(128 x 39)</b> & فرمت های قابل قبول: <b>jpg, jpeg, png & gif</b></i></small>

                    <div class="info-box uploaded-img-box dependency_img_sections <?php echo ($dataSet->show_logo_image) ? "" : 'display-none'; ?>">
                      <span class="info-box-icon bg-info" title="Logo Image">
                        <img src="uploads/<?php echo strip_tags($dataSet->logo_image); ?>" alt="Logo Image">
                      </span>
                      <div class="info-box-content">
                        <input type="file" name="logo_image" id="logo_image" class="form-control">
                      </div>
                      <!-- /.info-box-content -->
                    </div>
                    <!-- /.info-box -->
                  </div>

                  <div class="form-group dependency_sections">
                    <div class="custom-control custom-switch">
                      <input type="hidden" value="0" name="show_logo_favicon">
                      <input type="checkbox" class="custom-control-input" id="show_logo_favicon" name="show_logo_favicon" value="1" <?php echo ($dataSet->show_logo_favicon) ? "checked" : ''; ?>>
                      <label class="custom-control-label" for="show_logo_favicon">فاو آیکون</label>
                    </div>
                    <small class="text-danger dependency_img_sections <?php echo ($dataSet->show_logo_favicon) ? "" : 'display-none'; ?>"><i><i class="fas fa-info-circle"></i> اندازه تصاویر: <b>(128 x 39)</b> & فرمت های قابل قبول: <b>jpg, jpeg, png & gif</b></i></small>

                    <div class="info-box uploaded-img-box dependency_img_sections <?php echo ($dataSet->show_logo_favicon) ? "" : 'display-none'; ?>">
                      <span class="info-box-icon bg-info" title="Logo Favicon">
                        <img src="uploads/<?php echo strip_tags($dataSet->logo_favicon); ?>" alt="Logo Favicon">
                      </span>
                      <div class="info-box-content">
                        <input type="file" name="logo_favicon" id="logo_favicon" class="form-control">
                      </div>
                      <!-- /.info-box-content -->
                    </div>
                    <!-- /.info-box -->
                  </div>

                </div>
                <!-- /.card-body -->

                <div class="card-footer">
                  <button type="submit" name="Save" value="HomeContent" class="btn btn-primary float-right">ذخیره تغییرات</button>
                </div>
                <!-- /.card-body -->
              </div>
              <!-- /.card -->
            </form>


            <form role="form" method="POST" action="">
              <input type="hidden" name="section" value="callus">
              <div class="card card-info">
                <div class="card-header">
                  <h3 class="card-title">با ما تماس بگیرید</h3>
                </div>

                <div class="card-body">
                  <div class="form-group">
                    <div class="custom-control custom-switch">
                      <input type="hidden" value="0" name="show_callus">
                      <input type="checkbox" class="custom-control-input" id="show_callus" name="show_callus" value="1" <?php echo ($dataSet->show_callus) ? "checked" : ''; ?>>
                      <label class="custom-control-label" for="show_callus">نمایش تماس با ما؟</label>
                    </div>
                  </div>

                  <div class="form-group dependency_sections <?php echo ($dataSet->show_callus) ? "" : 'display-none'; ?>">
                    <label class="col-form-label" for="display_text">نمایش متن:</label>
                    <input type="text" class="form-control" name="display_text" id="display_text" placeholder="متن خود را وارد کنید" value="<?php echo strip_tags($dataSet->display_text); ?>">
                  </div>
                  <div class="form-group dependency_sections <?php echo ($dataSet->show_callus) ? "" : 'display-none'; ?>">
                    <label class="col-form-label" for="phone_number">شماره تلفن:</label>
                    <input type="text" class="form-control" name="phone_number" id="phone_number" placeholder="شماره تلفن خود را وارد کنید" value="<?php echo strip_tags($dataSet->phone_number); ?>">
                  </div>
                </div>
                <!-- /.card-body -->

                <div class="card-footer">
                  <button type="submit" name="Save" value="CallUs" class="btn btn-primary float-right">ذخیره تغییرات</button>
                </div>
                <!-- /.card-body -->
              </div>
              <!-- /.card -->
            </form>

            <form role="form" method="POST" action="">
              <input type="hidden" name="section" value="google_analytics">
              <div class="card card-primary">
                <div class="card-header">
                  <h3 class="card-title">گوگل آنالیتیکس</h3>
                </div>

                <div class="card-body">
                  <div class="form-group">
                    <div class="custom-control custom-switch">
                      <input type="hidden" value="0" name="use_ga">
                      <input type="checkbox" class="custom-control-input" id="use_ga" name="use_ga" value="1" <?php echo ($dataSet->use_ga) ? "checked" : ''; ?>>
                      <label class="custom-control-label" for="use_ga">نصب گوگل آنالیتیکس</label>
                    </div>
                  </div>
                  <div class="form-group dependency_sections <?php echo ($dataSet->use_ga) ? "" : 'display-none'; ?>">
                    <div class="custom-control custom-switch">
                      <input type="hidden" value="0" name="enable_ip">
                      <input type="checkbox" class="custom-control-input" id="enable_ip" name="enable_ip" value="1" <?php echo ($dataSet->enable_ip) ? "checked" : ''; ?>>
                      <label class="custom-control-label" for="enable_ip">ناشناس ماندن IP فعال شود؟</label>
                    </div>
                    <small><i>  در مورد ip ناشناس در داکیومنت گوگل بخوانید<a href="https://support.google.com/analytics/answer/2763052" target="_blank">Google Analytics</a></i></small>
                  </div>

                  <div class="form-group dependency_sections <?php echo ($dataSet->use_ga) ? "" : 'display-none'; ?>">
                    <label class="col-form-label" for="tracking_code">کد رهگیری:</label>
                    <input type="text" class="form-control" name="tracking_code" id="tracking_code" placeholder="UA-XXXXXXXX" value="<?php echo strip_tags($dataSet->tracking_code); ?>">
                    <small><i>قالب های مجاز: UA-XXXXXXXX, UA-XXXXXXXX-XXXX. Eg: UA-12345678-1 معتبر</i></small>
                  </div>
                </div>
                <!-- /.card-body -->

                <div class="card-footer">
                  <button type="submit" name="Save" value="GoogleAnalytics" class="btn btn-primary float-right">ذخیره تغییرات</button>
                </div>
                <!-- /.card-body -->
              </div>
              <!-- /.card -->
            </form>

          </div>
          <!--/.col (left) -->
          <!-- right column -->
          <div class="col-md-6">
            <form role="form" method="POST" action="">
              <input type="hidden" name="section" value="maintenance">
              <div class="card card-danger">
                <div class="card-header">
                  <h3 class="card-title">حالت تعمیر و نگهداری</h3>
                </div>
                <!-- /.card-header -->
                <div class="card-body">
                  <div class="form-group">
                    <div class="custom-control custom-switch">
                      <input type="hidden" value="0" name="enable_maintenance">
                      <input type="checkbox" class="custom-control-input" id="enable_maintenance" name="enable_maintenance" value="1" <?php echo ($dataSet->enable_maintenance) ? "checked" : ''; ?>>
                      <label class="custom-control-label" for="enable_maintenance">حالت تعمیر و نگهداری را فعال کنید؟</label>
                    </div>
                  </div>

                  <div class="form-group">
                    <label class="col-form-label text-danger"><i class="fas fa-info-circle"></i> به <i>SearchEngines/Bots</i> اجازه دهید حالت تعمیر و نگهداری را دور بزند.</label>
                  </div>

                  <p>حالت تعمیر و نگهداری بیشتر توسط سایتهای موجود استفاده می شود. اگر می خواهید یک به روز رسانی بزرگ انجام دهید ، تغییرات در طرح یا محتوا را اعمال کنید یا یک نقص امنیتی را برطرف کنید ، ممکن است لازم باشد سایت خود را در حالت تعمیر و نگهداری قرار دهید. این حالت به این معنی است که وب سایت شما برای مدتی در دسترس نیست.</p>
                  <p>حالت تعمیر و نگهداری به موتورهای جستجو/ربات ها/بازدیدکنندگان می گوید که سایت مدتی تحت تعمیر و نگهداری است ، خراب نیست. این به حفظ ثبات ترافیک سایت کمک می کند.</p>
                </div>
                <!-- /.card-body -->

                <div class="card-footer">
                  <button type="submit" name="Save" value="Maintenance" class="btn btn-primary float-right">ذخیره تغییرات</button>
                </div>
              </div>
              <!-- /.card -->
            </form>

            <form role="form" method="POST" action="">
              <input type="hidden" name="section" value="social_links">
              <div class="card card-primary">
                <div class="card-header">
                  <h3 class="card-title">پیوندهای اجتماعی</h3>
                </div>
                <!-- /.card-header -->
                <div class="card-body">
                  <div class="row">
                    <div class="col-sm-6">
                      <div class="form-group">
                        <div class="custom-control custom-switch">
                          <input type="hidden" value="0" name="show_socials">
                          <input type="checkbox" class="custom-control-input" id="show_socials" name="show_socials" value="1" <?php echo ($dataSet->show_socials) ? "checked" : ''; ?>>
                          <label class="custom-control-label" for="show_socials">نمایش شبکه های اجتماعی؟</label>
                        </div>
                      </div>
                    </div>

                    <div class="col-sm-6">
                      <div class="form-group dependency_sections <?php echo ($dataSet->show_socials) ? "" : 'display-none'; ?>">
                        <label for="links_target">باز شدن لینک؟</label>
                        <select class="custom-select" name="links_target" id="links_target">
                          <option value="1" <?php echo ('1' == $dataSet->links_target) ? "selected" : ""; ?>>صفحه جدید</option>
                          <option value="0" <?php echo ('0' == $dataSet->links_target) ? "selected" : ""; ?>>همان صفحه</option>
                        </select>
                        <small><i>نحوه باز شدن پیوندها را انتخاب کنید.</i></small>
                      </div>
                    </div>
                  </div>

                  <div class="form-group dependency_sections <?php echo ($dataSet->show_socials) ? "" : 'display-none'; ?>">
                    <label class="col-form-label text-danger"><i class="fas fa-info-circle"></i> برای پنهان کردن پیوندهای اجتماعی ، آن را خالی نگه دارید</label>
                  </div>
                  <div class="form-group dependency_sections <?php echo ($dataSet->show_socials) ? "" : 'display-none'; ?>">
                    <label class="col-form-label" for="facebook_url"><i class="fab fa-facebook-square"></i> آدرس فیس بوک</label>
                    <input type="text" class="form-control" id="facebook_url" name="facebook_url" value="<?php echo strip_tags($dataSet->facebook_url); ?>" placeholder="http://">
                    <small><i>لینک همراه با <b>http:// & https:// </b> وارد شود</small>
                  </div>
                  <div class="form-group dependency_sections <?php echo ($dataSet->show_socials) ? "" : 'display-none'; ?>">
                    <label class="col-form-label" for="twitter_url"><i class="fab fa-twitter-square"></i> آدرس تویئتر</label>
                    <input type="text" class="form-control" id="twitter_url" name="twitter_url" value="<?php echo strip_tags($dataSet->twitter_url); ?>" placeholder="http://">
                      <small><i>لینک همراه با <b>http:// & https:// </b> وارد شود</small>
                  </div>
                  <div class="form-group dependency_sections <?php echo ($dataSet->show_socials) ? "" : 'display-none'; ?>">
                    <label class="col-form-label" for="skype_url"><i class="fab fa-skype"></i> آدرس اسکایپ</label>
                    <input type="text" class="form-control" id="skype_url" name="skype_url" value="<?php echo strip_tags($dataSet->skype_url); ?>" placeholder="http://">
                      <small><i>لینک همراه با <b>http:// & https:// </b> وارد شود</small>
                  </div>
                  <div class="form-group dependency_sections <?php echo ($dataSet->show_socials) ? "" : 'display-none'; ?>">
                    <label class="col-form-label" for="pinterest_url"><i class="fab fa-pinterest-square"></i> آدرس پینترست</label>
                    <input type="text" class="form-control" id="pinterest_url" name="pinterest_url" value="<?php echo strip_tags($dataSet->pinterest_url); ?>" placeholder="http://">
                      <small><i>لینک همراه با <b>http:// & https:// </b> وارد شود</small>
                  </div>
                  <div class="form-group dependency_sections <?php echo ($dataSet->show_socials) ? "" : 'display-none'; ?>">
                    <label class="col-form-label" for="dribbble_url"><i class="fab fa-dribbble-square"></i> آدرس دریبل</label>
                    <input type="text" class="form-control" id="dribbble_url" name="dribbble_url" value="<?php echo strip_tags($dataSet->dribbble_url); ?>" placeholder="http://">
                      <small><i>لینک همراه با <b>http:// & https:// </b> وارد شود</small>
                  </div>
                  <div class="form-group dependency_sections <?php echo ($dataSet->show_socials) ? "" : 'display-none'; ?>">
                    <label class="col-form-label" for="instagram_url"><i class="fab fa-instagram-square"></i> آدرس اینستاگرام</label>
                    <input type="text" class="form-control" id="instagram_url" name="instagram_url" value="<?php echo strip_tags($dataSet->instagram_url); ?>" placeholder="http://">
                      <small><i>لینک همراه با <b>http:// & https:// </b> وارد شود</small>
                  </div>
                  <div class="form-group dependency_sections <?php echo ($dataSet->show_socials) ? "" : 'display-none'; ?>">
                    <label class="col-form-label" for="googleplus_url"><i class="fab fa-google-plus-square"></i> آدرس گوگل پلاس</label>
                    <input type="text" class="form-control" id="googleplus_url" name="googleplus_url" value="<?php echo strip_tags($dataSet->googleplus_url); ?>" placeholder="http://">
                      <small><i>لینک همراه با <b>http:// & https:// </b> وارد شود</small>
                  </div>
                  <div class="form-group dependency_sections <?php echo ($dataSet->show_socials) ? "" : 'display-none'; ?>">
                    <label class="col-form-label" for="linkedin_url"><i class="fab fa-linkedin"></i> آدرس لینکدین</label>
                    <input type="text" class="form-control" id="linkedin_url" name="linkedin_url" value="<?php echo strip_tags($dataSet->linkedin_url); ?>" placeholder="http://">
                      <small><i>لینک همراه با <b>http:// & https:// </b> وارد شود</small>
                  </div>
                </div>
                <!-- /.card-body -->

                <div class="card-footer">
                  <button type="submit" name="Save" value="Socials" class="btn btn-primary float-right">ذخیره تغییرات</button>
                </div>
              </div>
              <!-- /.card -->
            </form>
          </div>
          <!--/.col (right) -->
        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </section>
    <!-- /.content -->
  </div>

  <!-- /.content-wrapper -->
  <?php require_once('footer.php'); ?>
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->

<!-- jQuery -->
<script src="./plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="./plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- bs-custom-file-input -->
<script src="./plugins/bs-custom-file-input/bs-custom-file-input.min.js"></script>
<!-- date-range-picker -->
<script src="./plugins/moment/moment.min.js"></script>
<script src="./plugins/daterangepicker/daterangepicker.js"></script>
<!-- SweetAlert2 -->
<script src="./plugins/sweetalert2/sweetalert2.min.js"></script>
<!-- AdminLTE App -->
<script src="./assets/js/adminlte.min.js"></script>
<!-- AdminLTE for demo purposes -->
<script src="./assets/js/demo.js"></script>
<!-- Custom.js -->
<script src="assets/js/custom.js"></script>
</body>
</html>
