<?php
include_once '../inc/FetchData.class.php';

// FetchData Object
$fetchDataObj = new FetchData();
$dataSet = (object) $fetchDataObj->getDataSet();

// Init variables values
$res = "";

// Update CommonSeetings
if ( isset($_POST['Save']) ) {
  include_once 'models/PostDynamicContents.class.php';
  $PostDynamicContentsObj = new PostDynamicContents();

  // Pass data to update into database
  $res = $PostDynamicContentsObj->updateData($_POST);

  // Update dataset with changes
  $dataSet = (object) array_merge( (array) $dataSet, $_POST);

}
?>
<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>خوش آمدید به پنل مدیریت</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <?php if ($dataSet->enable_maintenance) { ?>
  <!-- Maintenance Mode Enabled -->
  <meta name="robots" content="noindex, nofollow" />
  <?php } ?>

  <!-- Favicon -->
  <link rel="shortcut icon" href="../favicon.ico" type="image/x-icon">
  <link rel="icon" href="../favicon.ico" type="image/x-icon">

  <!-- Font Awesome -->
  <link rel="stylesheet" href="./plugins/fontawesome-free/css/all.min.css">
  <!-- Ionicons -->
  <link rel="stylesheet" href="./assets/css/ionicons/ionicons.min.css">
  <!-- SweetAlert2 -->
  <link rel="stylesheet" href="./plugins/sweetalert2-theme-bootstrap-4/bootstrap-4.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="./assets/css/adminlte.min.css">
  <!-- Custom CSS -->
  <link rel="stylesheet" href="./assets/css/custom.css">
  <!-- Google Font: Source Sans Pro -->
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
</head>
<body class="hold-transition sidebar-mini">
<div class="wrapper">

  <!-- Navbar -->
  <?php require_once('header.php'); ?>
  <!-- /.navbar -->

  <!-- Main Sidebar Container -->
  <?php require_once('sidebar.php'); ?>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <input type="hidden" class="res" name="res" value="<?php echo $res; ?>">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>تنظیمات سئو و SMTP</h1>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <!-- left column -->
          <div class="col-md-6">

            <form role="form" method="POST" action="">
              <input type="hidden" name="section" value="siteseo">

              <div class="card card-warning">
                <div class="card-header">
                  <h3 class="card-title">سئو سایت</h3>
                </div>

                <div class="card-body">
                  <div class="form-group">
                    <label class="col-form-label" for="title_tag">عنوان صفحه <i>(Title Tag)</i>:</label>
                    <input type="text" class="form-control" name="title_tag" id="title_tag" placeholder="عنوان را وارد کنید" value="<?php echo strip_tags($dataSet->title_tag); ?>">
                  </div>

                  <div class="form-group">
                    <label class="col-form-label" for="meta_title">عنوان متا:</label>
                    <input type="text" class="form-control" name="meta_title" id="meta_title" placeholder="عنوان را وارد کنید" value="<?php echo strip_tags($dataSet->meta_title); ?>">
                  </div>
                  <div class="form-group">
                    <label class="col-form-label" for="meta_description">توضیحات متا:</label>
                    <textarea rows="8" class="form-control" name="meta_description" id="meta_description" placeholder="توضیحات را وارد کنید"><?php echo strip_tags($dataSet->meta_description); ?></textarea>
                  </div>
                  <div class="form-group">
                    <label class="col-form-label" for="meta_keywords">کلمات کلیدی :</label>
                    <textarea rows="5" class="form-control" name="meta_keywords" id="meta_keywords" placeholder="کلمات کلیدی را وارد کنید"><?php echo strip_tags($dataSet->meta_keywords); ?></textarea>
                    <small>کلمات کلیدی باید با کاما (،) جدا شوند</small>
                  </div>
                </div>
                <!-- /.card-body -->

                <div class="card-footer">
                  <button type="submit" name="Save" value="SiteSEO" class="btn btn-primary float-right">ذخیره تغییرات</button>
                </div>
                <!-- /.card-body -->
              </div>
              <!-- /.card -->
            </form>

          </div>
          <!--/.col (left) -->
          <!-- right column -->
          <div class="col-md-6">

            <form role="form" method="POST" action="">
              <input type="hidden" name="section" value="smtp_settings">
              <div class="card card-primary">
                <div class="card-header">
                  <h3 class="card-title">تنظیمات SMTP</h3>
                </div>
                <!-- /.card-header -->
                <div class="card-body">
                  <div class="form-group">
                    <div class="custom-control custom-switch">
                      <input type="hidden" value="0" name="enable_smtp">
                      <input type="checkbox" class="custom-control-input" id="enable_smtp" name="enable_smtp" value="1" <?php echo ($dataSet->enable_smtp) ? "checked" : ''; ?>>
                      <label class="custom-control-label" for="enable_smtp">SMTP Mailing فعال شود؟</label>
                    </div>
                  </div>
                  <div class="form-group dependency_sections <?php echo ($dataSet->enable_smtp) ? "" : 'display-none'; ?>">
                    <label class="col-form-label text-danger"><i class="fas fa-info-circle"></i> برای فعال کردن ایمیل ، همه فیلدها اجباری هستند.</label>
                  </div>
                  <div class="form-group dependency_sections <?php echo ($dataSet->enable_smtp) ? "" : 'display-none'; ?>">
                    <label class="col-form-label" for="smtp_host">SMTP Host:</label>
                    <input type="text" class="form-control" id="smtp_host" name="smtp_host" value="<?php echo strip_tags($dataSet->smtp_host); ?>" placeholder="Enter SMTP Host">
                  </div>
                  <div class="form-group dependency_sections <?php echo ($dataSet->enable_smtp) ? "" : 'display-none'; ?>">
                    <label class="col-form-label" for="smtp_username">SMTP Username:</label>
                    <input type="text" class="form-control" id="smtp_username" name="smtp_username" value="<?php echo strip_tags($dataSet->smtp_username); ?>" placeholder="Enter SMTP Username">
                  </div>
                  <div class="form-group dependency_sections <?php echo ($dataSet->enable_smtp) ? "" : 'display-none'; ?>">
                    <label class="col-form-label" for="smtp_password">SMTP Password:</label>
                    <input type="text" class="form-control" id="smtp_password" name="smtp_password" value="<?php echo strip_tags($dataSet->smtp_password); ?>" placeholder="Enter SMTP Password">
                  </div>
                  <div class="form-group dependency_sections <?php echo ($dataSet->enable_smtp) ? "" : 'display-none'; ?>">
                    <label class="col-form-label" for="smtp_secure">SMTP Secure:</label>
                    <input type="text" class="form-control" id="smtp_secure" name="smtp_secure" value="<?php echo strip_tags($dataSet->smtp_secure); ?>" placeholder="Enter SMTP Secure">
                  </div>
                  <div class="form-group dependency_sections <?php echo ($dataSet->enable_smtp) ? "" : 'display-none'; ?>">
                    <label class="col-form-label" for="smtp_port">SMTP Port:</label>
                    <input type="text" class="form-control" id="smtp_port" name="smtp_port" value="<?php echo strip_tags($dataSet->smtp_port); ?>" placeholder="Enter SMTP Port">
                  </div>
                  <div class="form-group dependency_sections <?php echo ($dataSet->enable_smtp) ? "" : 'display-none'; ?>">
                    <label class="col-form-label" for="noreply_email">NoReply Email:</label>
                    <input type="text" class="form-control" id="noreply_email" name="noreply_email" value="<?php echo strip_tags($dataSet->noreply_email); ?>" placeholder="Enter NoReply Email">
                  </div>
                </div>
                <!-- /.card-body -->

                <div class="card-footer">
                  <button type="submit" name="Save" value="SMTPSettings" class="btn btn-primary float-right">ذخیره تغییرات</button>
                </div>
              </div>
              <!-- /.card -->
            </form>
          </div>
          <!--/.col (right) -->
        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </section>
    <!-- /.content -->
  </div>

  <!-- /.content-wrapper -->
  <?php require_once('footer.php'); ?>
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->

<!-- jQuery -->
<script src="./plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="./plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- SweetAlert2 -->
<script src="./plugins/sweetalert2/sweetalert2.min.js"></script>
<!-- AdminLTE App -->
<script src="./assets/js/adminlte.min.js"></script>
<!-- AdminLTE for demo purposes -->
<script src="./assets/js/demo.js"></script>
<!-- Custom.js -->
<script src="assets/js/custom.js"></script>
</body>
</html>
